/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/
.image-text {
    position: relative;
    overflow: hidden;

    > .container,
    > .container-fluid {
        position: relative;
        z-index: 2;
    }
}

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.image-text .flex-row {
    align-items: center
}

.image-text__img,
.image-text__text {
    position: relative;
}

.image-text__img-full {
    position: relative;
    height: 298px;
}

.image-text__text {
    margin-top: 35px;
    text-align: center;
    z-index: 1;
}

.image-text__text .btn-group {
    justify-content: center;
}

.bg-white .image-text__text h2,
.bg-light-blue .image-text__text h2 {
    color: var(--dark-blue);
}

.image-text__img-full img {
    border-radius: 12px;
    clip-path: polygon(100% 0, 100% 70%, 70% 100%, 0 100%, 0 0);
}

.image-text__bg {
    position: absolute;
    opacity: 0.04;
    width: 688px;
    max-width: inherit;
    bottom: -21px;
    right: -140px;
}

.video-bttn {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

.video-bttn svg {
    width: 116px;
    height: auto;
    transition: all .3s;
}

.image-text__img-stats {
    position: relative;
    z-index: 1;
    padding: 24px 0 61px 25px;
}

.image-text__img-stats::before {
    content: '';
    position: absolute;
    width: calc(100% - 56px);
    height: 257px;
    top: 0;
    left: 0;
    background: var(--light-blue-linear);
    border-radius: 12px;
    z-index: -1;
}

.image-text.bg-white .image-text__img-stats::before,
.image-text.bg-light-blue .image-text__img-stats::before {
    background: var(--bright-blue-linear);
}

.image-text__img-stats-img {
    height: 268px;
}

.image-text__img-stats-img img {
    border-radius: 12px;
    clip-path: polygon(100% 0, 100% 70%, 70% 100%, 0 100%, 0 0);
}

.image-text__img-stats-stats {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 172px;
}

.image-text__img-stats-stat {
    margin-top: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 90px;
    flex-direction: column;
    text-align: center;
    border-radius: 12px;
    box-shadow: 0 4px 50px 4px rgba(0, 61, 112, 0.12);
    background: var(--light-blue-linear);
    position: relative;
    z-index: 1;
    color: var(--white);
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: 1.1em;
    text-transform: capitalize;
}

.image-text__img-stats-stat .image-text_img-stats-stat-description {
    display: block;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5em;
    margin-top: 4px;
}

.image-text__img-stats-stat::before {
    content: '';
    position: absolute;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    top: 2px;
    left: 2px;
    background: linear-gradient(107deg, var(--medium-blue) 4.02%, var(--bright-blue) 107.33%);
    border-radius: 12px;
    z-index: -1;
}

.image-text__img-stats-stat.stat-blue,
.image-text__img-stats-stat:nth-child(event) {
    background: linear-gradient(107deg, var(--medium-blue) 4.02%, var(--bright-blue) 107.33%);
}

.image-text__img-stats-stat.stat-blue::before,
.image-text__img-stats-stat:nth-child(even)::before {
    background: var(--bright-blue-linear);
}

.bg-blue-gradient .image-text__img-stats-stat::before {
    background: linear-gradient(107deg, #EDFAFF 4.02%, #D7F1FA 107.33%);
}

.bg-blue-gradient .image-text__img-stats-stat {
   color: var(--bright-blue);
}

.bg-blue-gradient .image-text__img-stats-stat .image-text_img-stats-stat-description {
    color: var(--dark-blue);
}


.bg-blue-gradient .image-text__img-stats-stat.stat-blue .image-text_img-stats-stat-description,
.bg-blue-gradient .image-text__img-stats-stat.stat-blue,
.bg-blue-gradient .image-text__img-stats-stat:nth-child(even),
.bg-blue-gradient .image-text__img-stats-stat:nth-child(even) .image-text_img-stats-stat-description {
    color: var(--white);
}

.bg-blue-gradient .image-text__img-stats-stat.stat-blue::before,
.bg-blue-gradient .image-text__img-stats-stat:nth-child(even)::before {
     background: var(--bright-blue-linear);
}

.bg-blue-gradient .image-text__img-stats::before {
    background: #71BFFF;
}

@media (min-width: 768px) {
    
    .image-text__img-full {
        height: 391px;
        width: 430px;
        margin: 0 auto;
    }

    .image-text__text {
        margin-top: 45px;
    }

    .image-text__bg {
        width: 842px;
        bottom: -18px;
        right: -178px;
    }

    .image-text__img-stats {
        max-width: 548px;
        margin: 22px auto 0;
        padding: 84px 0 0 41px;
    }

    .image-text__img-stats::before,
    .image-text__img-stats-img img {
        border-radius: 20px;
    }

    .image-text__img-stats-img {
        height: 446px;
    }

    .image-text__img-stats-stats {
        right: 27px;
        top: -22px;
        bottom: auto;
        width: 228px;
    }

    .image-text__img-stats-stat {
        margin-top: 0;
        margin-bottom: 16px;
        height: 151px;
        font-size: 55px;
    }

    .image-text__img-stats-stat .image-text_img-stats-stat-description {
        font-size: 18px;
    }

    .image-text__img-stats::before {
        height: 460px;
        width: calc(100% - 93px);
    }

}

@media (min-width: 1200px) {

    .flex-opposite {
        flex-direction: row-reverse;
    }
    
    .image-text__img-full {
        width: 100%;
        height: 548px;
    }

    .image-text__text {
        margin-top: 0;
        text-align: left;
    }

    .image-text__text .btn-group {
        justify-content: flex-start;
    }

    .image-text__img-full img {
        border-radius: 20px;
        clip-path: polygon(100% 0, 100% 65%, 68% 100%, 0 100%, 0 0);
    }

    .image-text__bg {
        opacity: 0.08;
        width: 1124px;
        bottom: -95px;
        right: -178px;
    }

    .video-bttn:hover svg {
        transform: scale(1.1);
    }

    .image-text__img-stats {
        max-width: 100%;
        margin: 0;
        padding: 97px 0 0 45px;
    }

    .image-text__img-stats-img {
        height: 508px;
    }

    .image-text__img-stats-stats {
        right: 22px;
        top: 40px;
        width: 228px;
    }

    .image-text__img-stats::before {
        height: 526px;
        width: calc(100% - 101px);
    }

}